#include <features.h>

#ifndef __UCLIBC__
extern void **__ctype_b_loc();
extern void **__ctype_tolower_loc();

void *__ctype_b;
void *__ctype_tolower;

static void init(void) __attribute__((constructor));
static void init(void)
{
    __ctype_b = *__ctype_b_loc();
    __ctype_tolower = *__ctype_tolower_loc();
}
#endif
